Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.converters
Class AbstractObjectXStream

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.converters.AbstractObjectXStream

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

Direct Known Subclasses:
  XStreamToObject

    public abstract class AbstractObjectXStream

extends AbstractActionPipelineProcessor

Abstract object and xstream action processor for common functionality.

Author:
  danielmarchant

Field Summary
`protected java.lang.String` | `classAlias`
`protected java.lang.String` | `classMethod`
`protected java.lang.String` | `classProcessor`
`protected boolean` | `excludePackage`
`protected java.lang.Class` | `processorClass`
`protected java.lang.String` | `rootNodeName`

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`protected` | `AbstractObjectXStream(ConfigTree properties)` Public constructor.
`` | `AbstractObjectXStream(java.lang.String actionName, java.util.List<KeyValuePair> properties)` Public constructor.

Method Summary
`protected java.lang.String` | `getAlias(java.lang.Object obj)` Gets the alias to use with classes.
`java.lang.String` | `getName()`
`java.lang.String` | `getRootNodeName()`
`void` | `setName(java.lang.String name)`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
`processException, processSuccess`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`destroy, initialise`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`process`

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`destroy, initialise`

Field Detail

### classAlias

    protected java.lang.String classAlias

### rootNodeName

    protected java.lang.String rootNodeName

### excludePackage

    protected boolean excludePackage

### classMethod

    protected java.lang.String classMethod

### processorClass

    protected java.lang.Class processorClass

### classProcessor

    protected java.lang.String classProcessor

Constructor Detail

### AbstractObjectXStream

    protected AbstractObjectXStream(ConfigTree properties)

  Public constructor.

  Parameters:
    `properties` - Action Properties.
  Throws:
    `ConfigurationException` - Action not properly configured.

### AbstractObjectXStream

    public AbstractObjectXStream(java.lang.String actionName,
                                 java.util.List<KeyValuePair> properties)

  Public constructor.

  Parameters:
    `actionName` - Action name.
    `properties` - Action Properties.
  Throws:
    `ConfigurationException` - Action not properly configured.

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAlias

    protected java.lang.String getAlias(java.lang.Object obj)

  Gets the alias to use with classes.

  Parameters:
    `obj` -
  Returns:
    String

### getRootNodeName

    public java.lang.String getRootNodeName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD